#include <bits/stdc++.h>
using namespace std;

int main ()
{
    long int x,n,amax,amin,t;
    amax=LONG_MIN;
    amin=LONG_MAX;
    cin >> n >> x;
    long int a[n];
    for (long int i=0; i<n; i++)
    {
        cin >> a[i];
        if (a[i]>amax) {amax=a[i];}
        if (a[i]<amin) {amin=a[i];}
    }
    if (x>amax) {t=abs(x-amin);}
    if (x<amin) {t=abs(x-amax);}
    if ((x<amax) && (x>amin))
    {
        if ((abs(amax-x))<(abs(x-amin)))
        {
            t=abs(amax-x)+abs(amax-amin);
        }
        else {t=abs(amin-x)+abs(amax-amin);}
    }
    cout << t;
    return 0;
}